/*
 *
 * Copyright (C) 2003 Sadysta ( http://sadysta.ath.cx )
 * Copyright (C) 2007 Tomasz Ostrowski ( http://ostry.w.szu.pl ) - modified from 1.8.9 source
 *
 * This file is part of Free GG.
 *
 * Free GG is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Free GG is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Free GG; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "Me.h"
#include "Main.h"
#include "GaduThread.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TMeForm *MeForm;
extern TGaduThread *gg_thread;
//---------------------------------------------------------------------------
__fastcall TMeForm::TMeForm(TComponent* Owner)
        : TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TMeForm::Button2Click(TObject *Sender)
{
        gg_header *h;
        gg_pubdir50 *p;

        h = new gg_header;
        p = new gg_pubdir50;

        h -> type = GG_PUBDIR50_REQUEST;
        h -> length = GG_PUBDIR50_SIZE;

        p -> type = GG_PUBDIR50_READ;
        p -> seq = time(NULL);

        gg_thread -> WriteQueue -> AddObject (IntToStr (sizeof (gg_header)), (TObject*)h);
        gg_thread -> WriteQueue -> AddObject (IntToStr (GG_PUBDIR50_SIZE), (TObject*)p);

        MainForm -> Log -> Lines -> Add ("[Pubdir50] GG_PUBDIR50_READ sent");
}
//---------------------------------------------------------------------------
void __fastcall TMeForm::Button1Click(TObject *Sender)
{
        AnsiString Request = "";
        char *buf;

/*        for (int i = 0; i < ListView1 -> Items -> Count; i++)
                if (ListView1 -> Items -> Item[i] -> SubItems -> Strings[0] != "")
                        Request += ListView1 -> Items -> Item[i] -> SubItems -> Strings[1] + "\x0D" + ListView1 -> Items -> Item[i] -> SubItems -> Strings[0] + "\x0D";*/

        for (int i = 0; i < ComponentCount; i++)
                if (Components[i] -> Tag == 101 && ((TEdit*)Components[i]) -> Text != "") Request += Components[i] -> Name + "\x0D" + ((TEdit*)Components[i]) -> Text + "\x0D"; else
                if (Components[i] -> Tag == 102 && ((TComboBox*)Components[i]) -> ItemIndex > 0) Request += Components[i] -> Name + "\x0D" + ((TComboBox*)Components[i]) -> ItemIndex + "\x0D";

        buf = strdup (Request.c_str());
        for (int i = 0; i < Request.Length(); i++)
               if (buf[i] == 13) buf[i] = 0;

        gg_header *h;
        gg_pubdir50 *p;

        h = new gg_header;
        p = new gg_pubdir50;

        h -> type = GG_PUBDIR50_REQUEST;
        h -> length = GG_PUBDIR50_SIZE + Request.Length();

        p -> type = GG_PUBDIR50_WRITE;
        p -> seq = time(NULL);

        gg_thread -> WriteQueue -> AddObject (IntToStr (sizeof (gg_header)), (TObject*)h);
        gg_thread -> WriteQueue -> AddObject (IntToStr (GG_PUBDIR50_SIZE), (TObject*)p);
        gg_thread -> WriteQueue -> AddObject (IntToStr (Request.Length()), (TObject*)buf);

        MainForm -> Log -> Lines -> Add ("[Pubdir50] GG_PUBDIR50_WRITE sent");
}
//---------------------------------------------------------------------------
