/*
 *
 * Copyright (C) 2003 Sadysta ( http://sadysta.ath.cx )
 * Copyright (C) 2007 Tomasz Ostrowski ( http://ostry.w.szu.pl ) - modified from 1.8.9 source
 *
 * This file is part of Free GG.
 *
 * Free GG is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Free GG is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Free GG; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "Search.h"
#include "GaduThread.h"
#include "Contact.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TSearchForm *SearchForm;
extern TGaduThread *gg_thread;
//---------------------------------------------------------------------------
__fastcall TSearchForm::TSearchForm(TComponent* Owner)
        : TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TSearchForm::Button1Click(TObject *Sender)
{
        AnsiString request = "";
/*        for (int i = 0; i < ListView1 -> Items -> Count; i++)
                if (ListView1 -> Items -> Item[i] -> SubItems -> Strings[0] != "")
                        request += ListView1 -> Items -> Item[i] -> SubItems -> Strings[1] + "." + ListView1 -> Items -> Item[i] -> SubItems -> Strings[0] + ".";*/
//        request += "fmstart.0.";

        for (int i = 0; i < ComponentCount; i++)
        {
                if (Components[i] -> Tag == 101)
                        if (((TEdit*) Components[i]) -> Text != "") request += Components[i] -> Name + "." + ((TEdit*) Components[i]) -> Text + "."; else; else
                if (Components[i] -> Tag == 102)
                        if (((TComboBox*) Components[i]) -> ItemIndex > 0) request += Components[i] -> Name + "." + ((TComboBox*) Components[i]) -> ItemIndex + "."; else; else
                if (Components[i] -> Tag == 103)
                        if (((TCheckBox*) Components[i]) -> Checked) request += Components[i] -> Name + "." + (int)((TCheckBox*) Components[i]) -> Checked + ".";
        }

        gg_thread -> PubdirRequest (GG_PUBDIR50_SEARCH, time(NULL), request);

        PageControl1 -> ActivePageIndex = 1;        

//        ShowMessage (IntToStr(req[9]));
}
//---------------------------------------------------------------------------
void __fastcall TSearchForm::ListView2DblClick(TObject *Sender)
{
        if (ListView2 -> Selected)
        {
                ContactForm -> Show();
                ContactForm -> firstname -> Text = ListView2 -> Selected -> SubItems -> Strings[0];
                ContactForm -> nickname -> Text = ListView2 -> Selected -> SubItems -> Strings[1];
                ContactForm -> display -> Text = ListView2 -> Selected -> SubItems -> Strings[1];
                ContactForm -> gguin -> Text = ListView2 -> Selected -> Caption;

                ContactForm -> phone -> Text = "";
                ContactForm -> lastname -> Text = "";
                ContactForm -> status -> ItemIndex = 0;

                ContactForm -> Hide();
                ContactForm -> ShowModal();
        }
}
//---------------------------------------------------------------------------

