/*
 *
 * Copyright (C) 2003 Sadysta ( http://sadysta.ath.cx )
 * Copyright (C) 2007 Tomasz Ostrowski ( http://ostry.w.szu.pl ) - modified from 1.8.9 source
 *
 * This file is part of Free GG.
 *
 * Free GG is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Free GG is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Free GG; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "Activity.h"
#include "Settings.h"

//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TActivityForm *ActivityForm;
//---------------------------------------------------------------------------
__fastcall TActivityForm::TActivityForm(TComponent* Owner)
        : TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TActivityForm::Button1Click(TObject *Sender)
{
        Close();        
}
//---------------------------------------------------------------------------
void __fastcall TActivityForm::CheckBox1Click(TObject *Sender)
{
        CheckBox2 -> Enabled = CheckBox1 -> Checked;
        SettingsForm -> ListView1 -> Items -> Item[15] -> SubItems -> Strings[0] = IntToStr (CheckBox1 -> Checked);
}
//---------------------------------------------------------------------------

void __fastcall TActivityForm::CheckBox2Click(TObject *Sender)
{
        SettingsForm -> ListView1 -> Items -> Item[16] -> SubItems -> Strings[0] = IntToStr (CheckBox2 -> Checked);        
}
//---------------------------------------------------------------------------

